netpbm-free (2:11.11.01-1) unstable; urgency=medium

  * Also hardcode version in component. uscan behavior changed in forky.
  * New upstream version.
  * Stop shipping pamtojpeg2k and do not run its test. (Closes: #1097452)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Sep 2025 18:23:14 +0200

netpbm-free (2:11.11.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 13:32:56 +0200

netpbm-free (2:11.11.00-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Jun 2025 09:06:11 +0200

netpbm-free (2:11.10.02-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Apr 2025 11:24:58 +0200

netpbm-free (2:11.09.03-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Mar 2025 07:18:23 +0100

netpbm-free (2:11.09.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jan 2025 15:08:07 +0100

netpbm-free (2:11.09.02-1) experimental; urgency=low

  * New upstream version.
    + Includes makeman fix for avoiding empty lines in unordered lists.
      (Thanks, Christoph Brinkhaus!) Closes: #1087509

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Dec 2024 07:34:43 +0100

netpbm-free (2:11.08.02-1) unstable; urgency=medium

  * New upstream version.
    + Drop 20-Fix-typo-in-ppm_readppm-prototype.patch and
      21-clarify-tifftopnm-doc.diff.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 05 Dec 2024 07:45:50 +0100

netpbm-free (2:11.08.01-1) unstable; urgency=low

  * b-d on pkgconf instead of pkg-config.
  * New upstream version.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Oct 2024 13:05:10 +0200

netpbm-free (2:11.08.00-1) experimental; urgency=medium

  * New upstream version.
    + Drop 24-unused-prototype.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Oct 2024 11:47:11 +0200

netpbm-free (2:11.07.01-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Sep 2024 15:11:48 +0200

netpbm-free (2:11.07.00-2) unstable; urgency=medium

  * Upload to unstable.
  * Use blhc: ignore-line-regexp to ignore build utilities using
    *_FOR_BUILD_*FLAGS.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 16 Jul 2024 13:50:39 +0200

netpbm-free (2:11.07.00-1) experimental; urgency=low

  * New upstream version.
    + Add new symbols to symbol file.
  * 24-unused-prototype.diff: Delete unused function prototype for
    ppm_readcolordict2().

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Jun 2024 07:49:53 +0200

netpbm-free (2:11.06.01-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 May 2024 17:58:05 +0200

netpbm-free (2:11.06.01-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Apr 2024 13:42:38 +0200

netpbm-free (2:11.06.00-1) experimental; urgency=medium

  * New upstream version, unfuzz patches, update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 Apr 2024 11:35:30 +0200

netpbm-free (2:11.05.03-1) unstable; urgency=medium

  * New upstream version.
  * Stop using d-shlibs to be able to use Breaks instead of Conflicts for t64
    transition.
  * Provide libnetpbm10-dev by dev-package instead of runtime library package.
  * Run wrap-and-sort -ast.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Mar 2024 11:04:02 +0100

netpbm-free (2:11.05.02-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063141

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:33:03 +0000

netpbm-free (2:11.05.02-1) unstable; urgency=medium

  * 21-clarify-tifftopnm-doc.diff Closes: #496156 (The 2nd issue described
    there, unspecified behavior on multiimage tiffs has already been fixed.)
  * New upstream version, fixes ppmtowinicon crash. Closes: #1061667

 -- Andreas Metzler <ametzler@debian.org>  Mon, 29 Jan 2024 18:10:45 +0100

netpbm-free (2:11.05.01-3) unstable; urgency=low

  * Remove Andreas Barth from uploader's list. - Thank you!
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jan 2024 06:51:49 +0100

netpbm-free (2:11.05.01-2) experimental; urgency=medium

  * Team upload.
  * Rename patches for correct sorting by filename.
  * 20-Fix-typo-in-ppm_readppm-prototype.patch: Fix documentation of
    ppm_readppm() function prototype. Closes: #576008
  * Add myself to uploaders.
  * Run wrap-and-sort -ast.
  * Add lintian override for spelling-error-in-binary Optio.
  * [lintian] Drop debian-revision of b-d on libtiff-dev.
  * Build with -DUNDEBUG.
  * Use /usr/bin/install instead of buildtools/install.sh and do not strip
    binaries at install time to get useful netpbm-dbgsym package.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jan 2024 15:26:08 +0100

netpbm-free (2:11.05.01-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    + Unfuzz netpbm-security-code.patch.
  * Add symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Dec 2023 15:10:22 +0100

netpbm-free (2:11.04.05-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Dec 2023 13:27:17 +0100

netpbm-free (2:11.04.05-1) experimental; urgency=low

  * Team upload.
  * For better stability switch to packaging
    https://svn.code.sf.net/p/netpbm/code/advanced/ instead of
    https://svn.code.sf.net/p/netpbm/code/release_number/. The downside is
    that uscan cannot get the version number of these minor releases (Only
    parseable from filename contents but not part of the path.
    Add debian/updatewatchfile script to get this info and hardcode the
    version in debian/watch.
  * New upstream version.
    + Drop netpbm-ppmfadeusage.patch, fix_test_shebang.diff,
      01-Add-apos-translation.patch and
      02-Include-LDFLAGS-in-link-of-shared-library.patch, superseded/applied
      upstream.
    + Drop buildtoolsstamp-date-remove-compiled_by.patch, export COMPILED_BY
      in debian/rules instead.
    + doc/Netpbm.programming dropped upstream, stop trying to install it.
  * Upload to experimental.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Dec 2023 11:52:58 +0100

netpbm-free (2:11.03.06-1) unstable; urgency=low

  * New upstream minor release.
    + Unfuzz patches.
    + Ship userguide as separate tarball (component) instead of tarball
      in debian subdirectory. Update watch file (Thanks for the help, Hugh
      McMaster!), switch to https there and update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Oct 2023 13:59:54 +0200

netpbm-free (2:11.03.00-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Sep 2023 11:22:06 +0200

netpbm-free (2:11.03.00-2) experimental; urgency=medium

  * Replace local patches with changes committed to upstream SVN trunk:
    man_apostr.diff --> 01-Add-apos-translation.patch
    respect_LDFLAGS.diff --> 02-Include-LDFLAGS-in-link-of-shared-library.patch
  * netpbm-ppmfadeusage.patch updated/replaced with patch mirroring upstream
    SVN head behavior.
  * Add 03_stdin-ppm3.test.result.diff to let stdin-ppm3.test succeed with
    picttoppm removal, and check whether testsuite succeeds now.
  * Drop netpbm-CVE-2017-2587.patch. It probably was only necessary in the
    forked version. Doublechecked with CVE reproducer
    https://bugzilla.suse.com/show_bug.cgi?id=1024294 and in mail with
    upstream maintainer.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 20 Sep 2023 13:36:23 +0200

netpbm-free (2:11.03.00-1) experimental; urgency=low

  * Team upload.
  * Ship library documentation. (Thanks, Torrekie for report and diagnosis!)
    Closes: #1037069
  * Fix binary build after successful build.  Closes: #1049800
  * respect_LDFLAGS.diff: Use Debian (hardened) LDFLAGS for building shared
    lib. (lintian: hardening-no-bindnow)
  * New upstream version.
    + Unfuzz netpbm-security-code.patch.
  * Update debian/userguide/userguide.tar.xz from SVN.
    + man_apostr.diff: Handle &apos; in html to man conversion.
  * fix_test_shebang.diff: Fix typo in shebang line.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 17 Aug 2023 13:24:51 +0200

netpbm-free (2:11.01.00-2) unstable; urgency=medium

  * Team upload.
  * Do not embed username in /usr/lib/*/libnetpbm.*
    Closes: #1020658
  * Do not provide libnetpbm9-dev

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 16:30:00 +0100

netpbm-free (2:11.01.00-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/rules: dh_auto_test checks DEB_BUILD_OPTIONS
  * Add missing License fields
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 15:17:13 +0100

netpbm-free (2:10.98.00-1) unstable; urgency=medium

  * Team upload.
  * Remove outdaded debian/README* files
  * Unversioned development package (Provides: libnetpbm9-dev, libnetpbm10-dev)
    Closes: #1007984
  * Close other bugs which are not valid in this version any more
    Closes: #914850, #360255, #733464, #789874
  * Review d/copyright
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Thu, 26 May 2022 07:29:29 +0200

netpbm-free (2:10.97.00-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Uploader address

  [ Mathieu Malaterre ]
  * Team upload.
  * d/patch: Remove -DNDEBUG during compilation
  * d/rules: Discard test suite result for now

 -- Mathieu Malaterre <malat@debian.org>  Tue, 29 Mar 2022 14:11:39 +0200

netpbm-free (2:10.97.00-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
     - Closes: #977007, #386388, #847241
    CVE-2017-2579, CVE-2017-2580 and CVE-2017-2581 before 10.61 thus
     - Closes: #854978
  * debian/watch: Use svn mode
  * Move package to Debian Phototools team
    Closes: #813227, #864796
  * Drop debian/gbp.conf by using branch names per team policy
  * Use Python3 in manpage creation
    Closes: #968024
  * Provide userguide in debian/userguide since it is not part of the
    upstream source tarball obtained via svn mode
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix day-of-week for changelog entry 1:19940301.2-4.
  * Use d-shlibs to install library and libdevel package
  * DEP3
  * Add Build-Depends: ghostscrip to pass one test
  * Disable two remaining tests that are failing
  * Remove manweb completely since test had shown this does not work at all
  * Try hardening options
  * Enhance long descriptions
    Closes: #209957
  * ppmqvga does not belong to the source any more
    Closes: #256402, #669365
  * Previous upload to experimental switched to 3.0 source format
    Closes: #1007030
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 10:40:03 +0100

netpbm-free (2:10.78.05-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #159847, #380172, LP: #270479)
    - Bump libnetpbm soname to 11 and drop the old compatibility library
      (libnetpbm9)
    - Fix various segfaults (Closes: #315795, #412935, #412783, #412785,
      #502847, #614156, #777480, #777485, #777489, #777533, #838367)
    - Drop all the patches. The current fork is 10 years+ old and most of them
      are not applying anymore. Instead rely on the security patches shipped
      on Fedora.
    - Do not call install with -s and honour DEB_BUILD_OPTIONS=nostrip
      (Closes: #777476)
    - Ship the ppmtoppm program (Closes: #596113)
    - Add C++ guard in header files (Closes: #377247)
    - Add multi-image PBM support to pbmttolj (Closes: #398953)
    - Add -truetransparent option to ppmtowinicon (Closes: #597686)
    - Ship the pnmstitch program (Closes: #405877)
    - Add "-image=all" option to giftopnm (Closes: #395087)
  * Bump debhelper compatibility to 10
  * Switch to dh sequences.
  * Switch to source format 3.0 (quilt)
  * Bump Standards-Version to 3.9.8
  * debian/control:
    - Add a dependency against perl on netpbm package (${perl:Depends})
    - Add libx11-dev, pkg-config and libxml2-dev to the build-dependencies
    - Add a build-dependency against python, used to generate the manpages
    - Drop all the old Conflict/Replaces, these were ancient
    - Point the Homepage to http://netpbm.sourceforge.net/
  * Install a netpbm.pc pkg-config file
  * Build with SSE support on amd64 architecture

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Jun 2017 01:24:45 +0200

netpbm-free (2:10.0-15.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng1.6 -- see 648131libpng16.patch (Closes: #648131)
  * Change B-D to libpng-dev (Closes: #662444)

 -- Tobias Frost <tobi@debian.org>  Sat, 30 Jan 2016 16:51:10 +0100

netpbm-free (2:10.0-15.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Indicate that netbpm replaces files in kdelibs4c2a (closes: #766774).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 02 Nov 2014 02:34:18 +0000

netpbm-free (2:10.0-15.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Colin Watson ]
  * Make netpbm Multi-Arch: foreign, so that it can satisfy
    cross-build-dependencies (Closes: #700007).

  [ Michael Terry ]
  * Build-Depend on libtiff5-dev (Closes: #681009).

  [ Andrew Shadura ]
  * Numerous fixes to the manpages, thanks to Bjarni Ingi Gislason,
    Christophe Troestler, Torkel Bjørnson-Langen, Benoit-Pierre Demaine
    (Closes: #294080, #464879, #663254, #675259, #675260, #675261, #675381,
    #675383, #675384, #735262).
  * Remove extra debug messages from pcxtoppm, thanks to Vladimir Rutsky
    (Closes: #531817).
  * Add imagetops (Closes: #623444).
  * Enable hardening flags, add missing format strings; thanks to Moritz
    Muehlenhoff (Closes: #655737).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 05 Oct 2014 21:51:56 +0200

netpbm-free (2:10.0-15) unstable; urgency=low

  * fix patch for jpeg7 to really work.

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 29 Jul 2011 23:34:21 +0000

netpbm-free (2:10.0-13) unstable; urgency=low

  * add patch to build with jpeg7, thanks to Bill Allombert
  * adjust build-dependencies to build with libjpeg-dev and libtif-dev.
    Closes: #546416
  * fix pbmtextps, thanks to Håkon Stordah. Closes: #405048
  * pnmquant works with stdin. Thanks to Héctor García.
    Closes: #283203
  * fix pstopnm BoundingBox with llx = -1. Thanks to Christophe Rhodes.
    Closes: #325341
  * ignore white-space with images. Thanks to Shaun Jackman.
    Closes: #354891
  * fix gif2pnm when LZW code is split across three blocks.
    Thanks to Rik Snel. Closes: #483921
  * fix pnmindex to handle space in file names. Thanks to
    Anders Boström. Closes: #495716
  * fix pnmquant to work with stdin. Thanks to Bart Massey.
    Closes: #602360
  * fix pcxtoppm and docu. Thanks to Vladimir Rutsky.
    Closes: #531626, #531630.

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 29 Jul 2011 13:59:43 +0000

netpbm-free (2:10.0-12.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix stack-based buffer overflow when processing XPM
    image header fields. This can result in the execution
    of arbitrary code (CVE-2009-4274; Closes: #569060)

 -- Nico Golde <nion@debian.org>  Sun, 20 Jun 2010 14:27:25 +0200

netpbm-free (2:10.0-12.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/compat
    - update to 7.
  * debian/control
    + top level
      - (Standards-Version): update from 3.6.1.0 to 3.8.4 (W: lintian).
      - (Homepage): Move here (P: lintian).
      - (Vcs-*): Add new fields.
    + netpbm
      - (Build-Depends): update to debhelper 7 (W: lintian).
      - (Depends): change obsolete gs, gs-aladdin to ghostscript (E:
        lintian). Add ${misc:Depends} for debhelper (W: lintian). Use newer
        tag ${source:Version} (W: lintian).
      - (Section): Remove inherited field (I: lintian).
    + libnetpbm9
      - Depends): Add ${misc:Depends} for debhelper (W: lintian).
      - (Description): Add 'v9' to make line unique (I: lintian).
    + libnetpbm9-dev
      - (Depends): Add ${misc:Depends} for debhelper' (W: lintian).
        Add ${binary:Version} (E: lintian).
      - (Description): Add 'v9' to make line unique (I: lintian).
    + libnetpbm10
      - (Description): Improve first line (I: lintian).
      - (Depends): Add ${misc:Depends} for debhelper (W: lintian).
        Add ${binary:Version} (E: lintian).
    + libnetpbm10-dev
      - (Description): Improve first line (I: lintian).
      - (Depends): Add ${misc:Depends} for debhelper (W: lintian).
  * debian/copyright
    - Change to UTF-8 (W: lintian).
  * ppm/{xpmtoppm.c,xvminitoppm.c}
    - Fix Gcc 4.4 error: conflicting types for getline (FTBFS serious;
      Closes: #549929). Patch thanks to Colin Watson <cjwatson@ubuntu.com>.
  * ppm/ppmquantall
    - Change 'set' to 'declare' to fix "line 58: syntax error"
      (E: lintian; shell-script-fails-syntax-check).
  * debian/rules
    - (binary-arch): change dh_clean to dh_prep (E: lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 20 Feb 2010 19:47:46 +0200

netpbm-free (2:10.0-12) unstable; urgency=medium

  * Reupload to unstable.

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 28 May 2008 06:44:36 +0000

netpbm-free (2:10.0-11.1+etch1) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * CVE-2008-0554: Apply upstream change to correct a buffer overrun
    in GIF reader code allowing arbitary code execution

 -- Devin Carraway <devin@debian.org>  Tue, 13 May 2008 07:01:02 +0000

netpbm-free (2:10.0-11) unstable; urgency=high

  * Fix heap corruption in pnmtopng (no CVE yet),
    thanks to Christoph Biedl for detection and the patch.
    Closes: #407605
  * Fix xwdtopnm on 64-bit systems. Thanks to Jim Paris for
    detection and the patch. Closes: #352261
  * Use current location of rgb.txt. Thanks to Roland Stigge.
    Closes: #362983

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 20 Jan 2007 08:15:53 +0000

netpbm-free (2:10.0-10.1) unstable; urgency=high
  * Non-maintainer upload
  * Patch from Martin Pitt <martin.pitt@ubuntu.com>. Closes: #351639.
  * SECURITY UPDATE: Arbitrary code execution with crafted images.
  * pnm/pnmtopng.c:
    - Increase size of alphas_first_index and alphas_of_color_cnt arrays to
      fix off-by-one buffer overflow when using -alpha with an image with
      exactly 256 colors.
    - CVE-2005-3662
  * pnm/pnmtopng.c:
    - Fix buffer overflow on overly long text lines.
    - CVE-2005-3632

 -- Florian Weimer <fw@deneb.enyo.de>  Mon,  6 Feb 2006 21:10:56 +0100

netpbm-free (2:10.0-10) unstable; urgency=high

  * fix buffer overflow in pnmtopng.c, CAN-2005-2978.

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 18 Oct 2005 22:34:28 +0200

netpbm-free (2:10.0-9) unstable; urgency=low

  * fix arbitrary postscript execution, CAN-2005-2471. Closes: #319757
  * fix typo in pbmtoppa manpage. Closes: #326513
  * drop dependency on bc. Closes: #303102
  * fix typo in pam manpage. Closes: #285340

 -- Andreas Barth <aba@not.so.argh.org>  Sun,  4 Sep 2005 23:00:43 +0200

netpbm-free (2:10.0-8) unstable; urgency=low

  * add missing report for windows icon files in icontopbm; until now, we
    detected them, but didn't report them. Thanks, Steve, for pointing it out.
    Closes: #275663.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 10 Oct 2004 11:49:32 +0200

netpbm-free (2:10.0-7) unstable; urgency=medium

  * really include the fix of #238372.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 05 Sep 2004 16:31:28 +0200

netpbm-free (2:10.0-6) unstable; urgency=high

  * add warning in icontopbm when used on a windows icon. Closes: #268676.
  * ppmlabel manpage improved; thanks to Richard Hosker. Closes: #265366.
  * pnmtops supports 4-level grayscale again; thanks to Wayne Schlitt.
    Closes: #248652.
  * no need to depend on essential sed. Closes: #263787.
  * add warning about pnmtofits/signed data; thanks to Justin Pryzby.
    For details, see #268239.
  * fix inconsistency error in pnmtopng; thanks to Ross J. Reedstrom.
    Closes: #238372.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 29 Aug 2004 17:16:57 +0200

netpbm-free (2:10.0-5) unstable; urgency=low

  * build-depends against libtiff4.
  * fix typo in ppmtowinicon. Closes: #261999.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 29 Jul 2004 20:25:46 +0200

netpbm-free (2:10.0-4) unstable; urgency=low

  * gif is free again! So added ppmtogif.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 08 Jul 2004 20:06:39 +0200

netpbm-free (2:10.0-3) unstable; urgency=low

  * removed subtle build error with sudo

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  3 Feb 2004 19:27:10 +0100

netpbm-free (2:10.0-2) unstable; urgency=low

  * Really included st4topgm this time.
  * winicontoppm can now handle icons > 256 colors. Closes: #153917
  * fixed manpage of ppmtowinicon. Closes: #215756
  * pnmnorm can now handle 16-bit samples. Closes: #129452
  * ppmtobmp uses correct bpp-values. Closes: #227125

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 18 Jan 2004 19:34:48 +0100

netpbm-free (2:10.0-1) unstable; urgency=low

  * ppmtompeg cares about buffering now. Closes: #218295
  * catch up with netpbm.sf.net 10.0
    - pnmtops: No setpagedevice by default
    - added pbmtextps
    - minor changes in HISTORY
  * Included st4topgm. Closes: #223506
  * renamed optParseOptions* to pm_*
  * started reworking of documentation, and added README.1st

 -- Andreas Barth <aba@not.so.argh.org>  Sun,  4 Jan 2004 19:55:15 +0100

netpbm-free (2:9.25-9) unstable; urgency=high

  * There are more bugs. Some are critical and fixed into this release; the
    others are more aesthetical, and mentioned in TODO.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 10 Nov 2003 22:10:37 +0100

netpbm-free (2:9.25-8) unstable; urgency=high

  * Next round in fixing security bugs; also repaired pamstretch-gen.

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  4 Nov 2003 22:53:21 +0100

netpbm-free (2:9.25-7) unstable; urgency=high

  * Fixed security bug (insecure tmpfile-handling) in anytopnm, pnminterp-gen
    and others. Closes: #219019

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  4 Nov 2003 08:35:01 +0100

netpbm-free (2:9.25-6) unstable; urgency=low

  * Fixed bug in pnmnorm. Closes: #213366
  * added a space in debian/control.
  * polished the docu a bit.

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  4 Oct 2003 10:56:50 +0200

netpbm-free (2:9.25-5) unstable; urgency=low

  * Should really work on hppa this time. Closes: #211271

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 18 Sep 2003 17:44:15 +0200

netpbm-free (2:9.25-4) unstable; urgency=low

  * changed wrong builded libary file, FTBFS. Closes: #211271
  * corrected spelling error

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 17 Sep 2003 12:26:14 +0200

netpbm-free (2:9.25-3) unstable; urgency=low

  * autosizing of rawtopgm works. Closes: #199053
  * ppmcie use lower case x and y for chromaticities. Closes: #176313
  * libraries are compiled correct now: with -D_REENTRANT and if
    (and only if) shared, also with -fPIC.
  * created unified libs in libnetpbm10-*, and set libnetpbm9-* to
    deprecated (but still produce them).
  * using debhelper V4 commands and reworked debian/rules and Makefiles.

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 02 Sep 2003 10:44:50 +0200

netpbm-free (2:9.25-2) unstable; urgency=low

  * "brown paperbag release":
    Building works, and libpng12 is used. Closes: #207451
  * twisted the uploader field a bit to get correct closing of bug reports
  * updated to standard 3.6.1.0; moved libnetpbm9-dev to libdevel
  * made package linda/lintian clean (except where I'm sure that I'm right)
  * updated copyright and README.Debian
  * added pnmnorm (must be slipped through). Closes: #207483

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 27 Aug 2003 16:29:18 +0200

netpbm-free (2:9.25-1) unstable; urgency=low

  * moved to alioth, new maintainer, and found a way to handle upstream (this
    means that from now on we're treating netpbm-free as a native package)
  * pnmnorm replaces pgmnorm, pamoil replaces pgmoil
  * Uses POSIX-compatible commands. Closes: #204890
  * Documentation bug. Closes: #199047, #206162
  * Defaults to a fillorder at tifftopnm. Closes: #150815
  * Build-dep libpng10. Closes: #196852 (for woody: change this yourself back)
  * Speed up pnmscale with <=256 colors. Closes: #187395
  * Rewrote upstream Makefiles in a a bit more sensible way.
  * removed jbig support due to patent issues.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 21 Aug 2003 17:25:56 +0200

netpbm-free (2:9.20-10) unstable; urgency=medium

  * Rebuilt -9 on a clean sid system to ensure libpng consistency. Closes: #185384, #185480.

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Mar 2003 20:50:42 +0000

netpbm-free (2:9.20-9) unstable; urgency=high

  * sid release using the woody fixes in -8.1 and -8.2.

 -- Steve McIntyre <93sam@debian.org>  Sat, 15 Mar 2003 02:11:07 +0000

netpbm-free (2:9.20-8.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied another patch by Alan Cox

 -- Martin Schulze <joey@infodrom.org>  Fri, 28 Feb 2003 16:07:29 +0100

netpbm-free (2:9.20-8.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch from Alan Cox plus corrections to fix multiple
    vulnerabilities (VU#378049, VU#630433)

 -- Martin Schulze <joey@infodrom.org>  Fri, 28 Feb 2003 12:21:40 +0100

netpbm-free (2:9.20-8) unstable; urgency=low

  * Dropped Depends: on gs to Recommends after user requests. Closes: #138864.
  * Make sure that we clean up the netpbm-shhopt.h symlink properly. Closes: #140653

 -- Steve McIntyre <93sam@debian.org>  Mon, 01 Apr 2002 18:57:38 +0100

netpbm-free (2:9.20-7) unstable; urgency=high

  * Fixed Conflicts: on netpbm against netpbm-dev more explicitly. Closes: #138968

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Mar 2002 08:27:22 +0000

netpbm-free (2:9.20-6) unstable; urgency=high

  * Added Provides: netpbm-dev to help upgrades.
  * Specify Depends: on libnetpbm9 more explicitly. Closes: #137077 (grave bug)

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Mar 2002 22:26:20 +0000

netpbm-free (2:9.20-5) unstable; urgency=low

  * Added dependency on gs | gs-aladdin. Closes: #135464.
  * Updated Standards-Version.

 -- Steve McIntyre <93sam@debian.org>  Sun, 03 Mar 2002 18:47:15 +0000

netpbm-free (2:9.20-4) unstable; urgency=low

  * Add missing symbols to libnetpbm.a. Closes: #122169

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Dec 2001 16:49:15 +0000

netpbm-free (2:9.20-3) unstable; urgency=low

  * Patch from upstream to fix seg-fault. Closes: #114022

 -- Steve McIntyre <93sam@debian.org>  Mon, 05 Nov 2001 23:45:15 +0000

netpbm-free (2:9.20-2) unstable; urgency=low

  * Re-added ppmquantall script. Closes: #117001.
  * Modified postinst to be safer with ldconfig, as per lintian.

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Nov 2001 17:24:15 +0000

netpbm-free (2:9.20-1) unstable; urgency=low

  * New upstream release.
  * Upstream change: photometric interpretation fixed. Closes: #110314
  * Upstream change: "bool" type removed from interface headers. Closes: #113929

 -- Steve McIntyre <93sam@debian.org>  Sun, 07 Oct 2001 22:29:27 +0100

netpbm-free (2:9.16-3) unstable; urgency=low

  * Added Build-Depends: flex. Closes: #108349

 -- Steve McIntyre <93sam@debian.org>  Sat, 11 Aug 2001 09:29:51 +0100

netpbm-free (2:9.16-2) unstable; urgency=low

  * pm.h now includes "netpbm-shhopt.h" rather than "shhopt.h". Closes: #108183

 -- Steve McIntyre <93sam@debian.org>  Fri, 10 Aug 2001 00:30:51 +0100

netpbm-free (2:9.16-1) unstable; urgency=low

  * New upstream release.
  * New upstream *finally* contains new ppmtoilbm. Closes: #31971
  * pnm(5) man page has been included for a long time. Closes: #91770
  * Upstream changes should reduce memory usage drastically in pnmtopng. Closes: #92146
  * Added new utilities for Atari Neochrome files - patch from Teemu Hukkanen. Closes: #95089
  * New build fixes png symbols problem. CLoses: #101857
  * Fixed LD_LIBRARY_PATH for fakeroot so the package builds OK. Closes: #101858
  * Include pam.h in the -dev package. Closes: #102245
  * Added "Replaces: netpbm-nonfree (<= 19940301.1-5)" to fix conflict. Closes: #102392

 -- Steve McIntyre <93sam@debian.org>  Mon, 06 Aug 2001 08:13:51 +0100

netpbm-free (2:9.10-4) unstable; urgency=low

  * Updated sh versions of pnmindex and ppmquantall to include new
	  functionality in upstream csh versions. Sent upstream - next
	  upstream release should hopefully not depend on csh any more.
  * Fixed unsafe temp file use in anytopnm. Closes: #92152. Thanks to
	  Matt Zimmerman <mdz@debian.org> for the patch. I'm currently
	  auditing for any other potential holes.
  * Fixed formatting of ppmtompeg man page. Closes: #90288. Thanks to
	  Colin Watson for the patch.

 -- Steve McIntyre <93sam@debian.org>  Mon, 16 Apr 2001 16:46:00 +0100

netpbm-free (2:9.10-3) unstable; urgency=low

  * Conflicts/Replaces/Provides added for pbmwbmp - now folded into netpbm. Closes: #88869.
  * Moved Build-Depends-Indep to Build-Depends. Closes: #88250.
  * Package includes forked new version of shhopt.h, now installed as netpbm-shhopt.h. Closes: #87944, #87984.
  * Removed call to dh_suidregister from rules file.
  * Set pnmscale to default to non-verbose operation. Closes: #88467.
  * Replaced csh scripts with sh scripts from older netpbm package and removed csh dependency. Closes: #87933.
  * Still not closing ucbmpeg conflicts bugs yet - no response from ucbmpeg maintainer.

 -- Steve McIntyre <93sam@debian.org>  Fri, 09 Mar 2001 20:27:42 +0000

netpbm-free (2:9.10-2) unstable; urgency=low

  * New maintainer address.
  * Make sure ppmtomap is linked with libm. Closes: #87969, #87952.
  * Added Conflicts: ucbmpeg over /usr/bin/eyuvtoppm. Not closing yet - dialogue with ucbmpeg maintainer.

 -- Steve McIntyre <93sam@debian.org>  Thu, 01 Mar 2001 01:29:00 +0000

netpbm-free (2:9.10-1) unstable; urgency=medium

  * New upstream release; completely repackaged from scratch. Closes: #61908
  * Updated Standards-Version.
  * New anytopnm now handles JPEG files. Closes: #79480
  * New pbmtext has buffer overflow fix. Closes: #77681
  * New upstream version of pstopnm, written in C. Closes: #64250, #84679
  * Format description manpages from section 5 moved from -dev package to netpbm. Closes: #63659
  * Undid the previous merge of the 4 libraries into 1 large one.
  * Library/dev package renamed. Closes: #66187
  * Conflicts/Replaces/Provides added for pnmtopng - now folded into netpbm.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 25 Feb 2001 02:37:21 +0000

netpbm-free (1:19940301.2-13) frozen unstable; urgency=low

  * Move changelog to /usr/share/doc for FHS. Fixes Bug #51025, #47877.
  * Applied patch to fix xwdtopnm 16-bit bug. Thanks to Tomasz Motylewski
    <motyl@stan.chemie.unibas.ch. Fixes Bug #44841.
  * Replaced tifftopnm and pnmtotiff with new versions supplied by Raul
    Miller <moth@debian.org>. Fixes Bug #47109.
  * Fixed thinko in man page for pbmtog3. Fixes Bug #52950.
  * Changed csh scripts to use sh. Thanks to adrian.bridgett@iname.com for
    the patch. Fixes Bugs #57285, #20121.
  * pbmtog3 now seems to work fine. Closing Bug #21020.
  * Updated Standards-Version.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 13 Feb 2000 15:58:50 +0000

netpbm-free (1:19940301.2-12) unstable; urgency=low

  * Removed use of /tmp in pnmindex and anytopnm. Fixes Bug #43684.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Wed, 22 Sep 1999 00:04:50 +0100

netpbm-free (1:19940301.2-11) unstable; urgency=low

  * Added a Conflicts: line against old versions of netpbm-nonfree. Fixes Bugs #40948, #41376, #37565.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Wed, 21 Jul 1999 23:39:40 +0100

netpbm-free (1:19940301.2-10) unstable; urgency=low

  * Fixed warning in ppmtogif from comments in rgb.txt. Fixes Bug#33627.
  * Moved ppmtomap here from netpbm-nonfree, as it _is_ free.
  * Added papersize handling to pnmtops, using libpaper. Thanks to Brian May
    <bam@snoopy.apana.org.au> for the patch. Fixes Bug#34254.
  * Compiled using RAWBITS option; fixes Bug#35815

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Tue, 27 Apr 1999 22:31:16 +0100

netpbm-free (1:19940301.2-9) unstable; urgency=low

  * Fixed logic hole in pnmtops - flip the Y co-ords if -nocenter is used, closes: bug #30697.
  * ppmquantall now copes with comments (e.g. created by gimp), -ext option added, closes: bug #30905.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 14 Feb 1999 20:23:37 +0000

netpbm-free (1:19940301.2-8) frozen unstable; urgency=low

  * Added more debug for file I/O errors; hopefully should help to diagnose/fix Bug#28706
  * Changed sections to remove "main/" - lintian complaints...

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Tue, 03 Nov 1998 00:35:48 +0000

netpbm-free (1:19940301.2-7) frozen unstable; urgency=low

  * Include non-maintainer diff from -6.1. Fixes Bug#28396.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 24 Oct 1998 12:45:59 +0100

netpbm-free (1:19940301.2-6.1) unstable; urgency=low

  * non-maintainer (binary-only) upload for Alpha
  * "linux" is not defined by egcs on Alpha, so pbmplus.h did the wrong thing.
    Added a test for __linux.

 -- Paul Slootman <paul@debian.org>  Thu, 22 Oct 1998 18:08:23 +0200

netpbm-free (1:19940301.2-6) frozen unstable; urgency=low

  * libtiff3g now fixed (links -lm properly), so removing it from the pnm Imakefile here. Fixes Bug#22181.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 18 Oct 1998 13:40:12 +0100

netpbm-free (1:19940301.2-5) unstable; urgency=low

  * Fixed Depends: line as per policy: must specify a real package with a virtual package. Fixes Bug#27917
  * Renamed netpbm upstream changelog to changelog.gz as required by policy.
  * Call ldconfig for netpbm1 in postinst.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Wed, 14 Oct 1998 21:00:12 +0100

netpbm-free (1:19940301.2-4) frozen unstable; urgency=high

  * Make sure Alpha NMU stuff makes it in for hamm - apparently the -lm flag needed for m68k too and the m68k package just won't work without it.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 28 Jun 1998 23:16:22 +0100

netpbm-free (1:19940301.2-3) unstable; urgency=low

  * New maintainer.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Wed, 10 Jun 1998 23:21:26 +0100

netpbm-free (1:19940301.2-2.1) frozen unstable; urgency=low

  * non-maintainer upload for Alpha.
  * declaration of write() in pbmplus.h conflicted with <unistd.h> declaration.
  * -lm needed when linking fitstopnm (libtiff3g doesn't link libm implicitly).

 -- Paul Slootman <paul@debian.org>  Wed,  6 May 1998 21:28:26 +0200

netpbm-free (1:19940301.2-2) unstable; urgency=low

  * Removed dh_du call.
  * Use tempfile (fixes #19803).

 -- Herbert Xu <herbert@debian.org>  Tue, 17 Mar 1998 21:34:03 +1100

netpbm-free (1:19940301.2-1) unstable; urgency=low

  * Modified pbmplus.h for linux (fixes #13372).
    Actually, this has been fixed for a while.
  * Added Yoshiyuki Okada's patch (fixes #16903).

 -- Herbert Xu <herbert@debian.org>  Fri, 27 Feb 1998 15:46:00 +1100

netpbm-free (1:19940301.1-1) unstable; urgency=low

  * Split packages into free and nonfree.
  * Adjusted priority to optional.
  * Updated to Standard 2.4.0.0.
  * Renamed netpbm1-dev to netpbm-dev.

 -- Herbert Xu <herbert@debian.org>  Thu, 19 Feb 1998 10:46:38 +1100

netpbm (1:19940301-1) unstable; urgency=low

  * New maintainer.
  * Rebuilt from scratch.
  * New packaging format (fixes #3975).
  * Shared libraries.
  * Converted to debhelper (fixes #11925, #14515, #14928).
  * Added missing files (fixes #10478, #10951).
  * Corrected typo in anytopnm (fixes #11933).
  * Nonexistant bugs (fixes #4300, #9677, #11930, #16047).
  * Upgraded Suggests:cshell to Depends.
  * Depend on bc (#13905).

 -- Herbert Xu <herbert@debian.org>  Wed, 11 Feb 1998 22:42:50 +1100

netpbm (1994.03.01p1-6.2) unstable; urgency=low

  * Non-maintainer release
  * Switch to libc6 / glibc2

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 27 Dec 1997 12:41:29 +0100

netpbm (1994.03.01p1-6.1) unstable; urgency=low

  * Non-maintainer release
  * Fixes for packaging "out of the box" in debian/rules
    (running dpkg-buildpackage should work OK now)
  * Successful packaging of netpbm-dev requires a fix to debstd
    (the strip line for static libraries must have --strip-debug or no symbols
     will be exported)
  * Added ppmcmap.h and ppmdraw.h, because some apps need these headers for
    functions in libppm.a

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 21 Mar 1997 13:01:15 -0600

netpbm (1994.03.01p1-6) unstable; urgency=low

  * Added Suggests: csh|tcsh; clears Bug #6411
  * All man pages are compressed; clears Bug #6701
  * Included g3topbm and pbmtog3 binaries; clears Bug #6818
  * Added pbmplus.h to the netpbm-dev package; clears Bug #7350
  * New maintainer
  * New source package format.

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Sat, 15 Feb 1997 21:10:35 -0500

Local variables:
mode: debian-changelog
End:
